org.apache.ignite.internal.binary

## Class BinaryReaderHandlesHolderImpl

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryReaderHandlesHolderImpl

All Implemented Interfaces:
  BinaryReaderHandlesHolder

    public class BinaryReaderHandlesHolderImpl
    extends Object
    implements BinaryReaderHandlesHolder

Simple holder for handles.

### Constructor Summary

Constructors
Constructor and Description
`BinaryReaderHandlesHolderImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getHandle(int pos)` Get handle.
`BinaryReaderHandles` `handles()` Get all handles.
`void` `setHandle(Object obj, int pos)` Set handle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryReaderHandlesHolderImpl

    public BinaryReaderHandlesHolderImpl()

### Method Detail

#### setHandle

    public void setHandle(Object obj,
                          int pos)

Set handle.

Specified by:
  `setHandle` in interface `BinaryReaderHandlesHolder`
Parameters:
  `obj` - Object.
  `pos` - Position.

#### getHandle

    public Object getHandle(int pos)

Get handle.

Specified by:
  `getHandle` in interface `BinaryReaderHandlesHolder`
Parameters:
  `pos` - Position.
Returns:
  Handle.

#### handles

    public BinaryReaderHandles handles()

Get all handles.

Specified by:
  `handles` in interface `BinaryReaderHandlesHolder`
Returns:
  Handles.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019